Name:           zycore-c
Version:        1.4.1
Release:        %autorelease
Summary:        Zyan Core Library for C

License:        MIT
URL:            https://github.com/zyantific/zycore-c
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/zyantific/zycore-c/issues/59
ExcludeArch:    s390x

BuildRequires:  gcc gcc-c++
BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  doxygen

%description
The Zyan Core Library for C is an internal library providing platform
independent types, macros and a fallback for environments without LibC.

%package        devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        the documentation of %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains the documentation of %{name}.

%prep
%autosetup

%build
%cmake \
    -DZYCORE_BUILD_SHARED_LIB=ON \
    -DZYCORE_BUILD_TESTS=ON \
    -DZYCORE_BUILD_EXAMPLES=ON \
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libZycore.so.1.4*

%files devel
%{_includedir}/Zycore/
%{_libdir}/cmake/zycore/*.cmake
%{_libdir}/libZycore.so

%files doc
%license LICENSE
%{_datadir}/doc/Zycore/

%changelog
%autochangelog
